Bug 1814593 - [OSP] Installer fails to destroy cluster when cloud doesn't have trunk port support
Summary: [OSP] Installer fails to destroy cluster when cloud doesn't have trunk port s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks: 1820153
TreeView+ depends on / blocked
 
Reported: 2020-03-18 10:46 UTC by Martin André
Modified: 2020-07-13 17:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OpenStack clouds without trunk ports support return an error when trying to list trunk ports that was wrongly interpreted by the installer as a failure to destroy the ports. Consequence: On clouds without support for trunk ports, the destroy command would loop over trunk port deletion until it reaches the timeout. Fix: Correctly interpret the error returned when listing trunk port. Result: The destroy command returns on clouds without support for trunk ports before reaching the timeout.
Clone Of:
: 1820153 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:22:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3319 None closed Bug 1814593: OpenStack: Allow destroying cluster without trunk ports 2020-06-28 07:26:54 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:22:45 UTC

Description Martin André 2020-03-18 10:46:13 UTC
When running the `destroy cluster` command to delete a cluster deployed on a cloud without support for trunk ports, the installer fails to destroy this cluster, looping over:

DEBUG Deleting openstack trunks
ERROR Resource not found
DEBUG Exiting deleting openstack trunks


❯ openstack network trunk list
The resource could not be found.
Neutron server returns request_ids: ['req-ed792dc5-8f0d-42f7-a592-2eb6a01ae91d']

We should detect support for trunk ports and stop retrying the trunks if there is no support for it.

Comment 3 David Sanz 2020-04-02 13:06:18 UTC
Verified on 4.5.0-0.nightly-2020-04-02-085743

Comment 5 errata-xmlrpc 2020-07-13 17:22:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.